var Dfe71000_sincronizacaoCTE_Service = function(localStorageEngine, General, ScreenService) {
    
    this.montaConfigCte = (row) => {
        let filter = [{"name": "ROW", "operator": "=", "value": row}];
        
        return localStorageEngine.download("df_entrada#/config_cte", filter);
    };
    
    this.getDataSourceConfigCte = () => {
        return localStorageEngine.getDataSource("df_entrada#/config_cte").then(transmissao => {
            return transmissao[0].config;
        });
    };
    
    this.sincronizarCte = (row) => {
        return this.getDataSourceConfigCte().then(config => {
            let filter = [{"name": "CONFIG"    , "operator": "=", "value": config}];
                          
            return General.callRestEngine("df_entrada#/sincronizarCte", "FilterData", filter);
        });
    };
    
    this.gerarXMLCte = (ctes) => {
        return this.getDataSourceConfigCte().then(config => {
            let filter = [{"name": "CTES",  "operator": "=", "value": ctes},
                          {"name": "CONFIG", "operator": "=", "value": config}];
                          
            return General.callRestEngine("df_entrada#/gerarXmlCteManifestacao", "FilterData", filter);
        });
    };
    
    this.prestServDesacCte = (cte) => {
        return this.getDataSourceConfigCte().then(config => {
            let filter = [{"name": "CTE",  "operator": "=", "value": cte},
                          {"name": "CONFIG", "operator": "=", "value": config}];
                          
            return General.callRestEngine("df_entrada#/prestServDesacCte", "FilterData", filter);
        });
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register("Dfe71000_sincronizacaoCTE_Service", Dfe71000_sincronizacaoCTE_Service);
});