
function Dfe21100_RomaneioNotasFiscaisEntrada_Controller(ScreenService, General, templateManager, ZhFilterPreferences) {

	this.openFilterRomaneio = function (widget){
        var dataAtual = moment().format('DD/MM/YYYY');
        var start = dataAtual;
        var end   = dataAtual;
        var rowFilter = {};
        
        rowFilter = {
 	        'DTENTRADA': {start : start, end : end},
 	       
 	    };
 	    
 	    
 	    General.callRestEngine("df#/crud/filial", "FilterData", [{name: "CDFILIAL", operator:"=", value: "FILIAL_LOGADA"}]).then((response) => {
 	        if(response.dataset.filial[0]) {
 	            rowFilter.CDFILIAL  = response.dataset.filial[0].CDFILIAL;
 	            rowFilter.NMFILIAL  = response.dataset.filial[0].NMFILIAL;
 	        }
            ZhFilterPreferences.setOriginalFilter(widget.id, rowFilter);
            ZhFilterPreferences.openFilterWidget(widget, rowFilter);
 	    },
 	    (error) => {
 	        ZhFilterPreferences.setOriginalFilter(widget.id, rowFilter);
            ZhFilterPreferences.openFilterWidget(widget, rowFilter);
            
 	    });
    };
    

	/**********************************
	*
	*   Métodos de validação do filtro
	*
	***********************************/

	this.validateFilterFields = function (args, preference) {
		args.e.preventDefault();
		var filterPopup =templateManager.container.getWidget('romaneioEntrada');
		var currentRow = preference.FILTER_ROW;
		
		if (!(currentRow && dataLancamentoIsValid(currentRow))) {
			args.e.preventDefault();
		}
		else {
			// Método que concatena os códigos escolhidos nas listas para
			// poder utilizar como String na query
			concatenaListas(preference);

			// Atribui os valores do field interval aos campos necessários
		    if (currentRow.hasOwnProperty('DTENTRADA')){
				if (currentRow.DTENTRADA.hasOwnProperty('start' && 'end')){
					currentRow.DTINICIAL 	= currentRow.DTENTRADA.start;
					currentRow.DTFINAL 		= currentRow.DTENTRADA.end;
			    }
		    }
		    
		    if (currentRow.hasOwnProperty('DTLANCAMENTO')){
				if (currentRow.DTLANCAMENTO.hasOwnProperty('start' && 'end')){
					if(currentRow.DTLANCAMENTO.start) {
						currentRow.DTINILANC 	= currentRow.DTLANCAMENTO.start;
						currentRow.DTFINLANC 	= currentRow.DTLANCAMENTO.end;
					}
					else {
				    	currentRow.TDTLANC = 'T';
					}
			    }
			    else {
			    	currentRow.TDTLANC = 'T';
			    }
		    }
		    
		    // Anula as propriedades extras geradas pelo field interval
			delete currentRow.start;
			delete currentRow.end;
			delete currentRow.period;
			if (currentRow.DTLANCAMENTO) {
				delete currentRow.DTLANCAMENTO;
				delete currentRow.DTLANCAMENTO;
			}

			// Verifica se não há filial escolhida para filtrar por todas
			currentRow.TCDFILIAL	= (!!currentRow.CDFILIAL) ? currentRow.CDFILIAL : "T";

			// Método que concatena os códigos escolhidos nas listas para
			// poder utilizar como String na query
			if(currentRow.NMOPERADOR) {
				currentRow.CDOPERADOR = concatenaFields(filterPopup.getField('NMOPERADOR'), currentRow);
			}
			else {
				currentRow.CDOPERADOR = ' ';
			}

			if(currentRow.NMTIPOOPER) {
				currentRow.CDTIPOOPER = concatenaFields(filterPopup.getField('NMTIPOOPER'), currentRow);
			}
			else {
				currentRow.CDTIPOOPER = ' ';
			}
			this.changeFilter(args.owner, preference);
		}

	};

	// Como todos os parâmetros da query são necessários (mesmo que sejam nulos),
	// este método substitui o filtro gerado por outro baseado na currentRow,
	// pois o zhGridFilter possui uma validação muito complexa para inserir campos
	// no filtro, não compensando tentar mexer com visibilidade/valor dos fields
	// não inclusos
	this.changeFilter = function (widget, preference) {
		var currentRow = templateManager.container.getWidget('romaneioEntrada');
		var filters = [
            {
                "name": "CDTIPOOPER",
                "operator": "=",
                "value": preference.FILTER_ROW.CDTIPOOPER || null
            },
            {
                "name": "CDFORNECEDOR",
                "operator": "=",
                "value": preference.FILTER_ROW.LCDFORNECED || null
            },
            {
                "name": "CDCLIENTE",
                "operator": "=",
                "value": preference.FILTER_ROW.LCDCLIENTE || null
            },
            {
                "name": "TCDOPERADOR",
                "operator": "=",
                "value": preference.FILTER_ROW.TCDOPERADOR || 'T'
            },
            {
                "name": "CDFILIDESTI",
                "operator": "=",
                "value": preference.FILTER_ROW.LCDFILIDESTI || null
            },
            {
                "name": "TCDFORNECEDOR",
                "operator": "=",
                "value": preference.FILTER_ROW.TCDFORNECED || null
            },
            {
                "name": "TCDFILIDESTI",
                "operator": "=",
                "value": preference.FILTER_ROW.TCDFILIDESTI || null
            },
            {
                "name": "DTFINLANC",
                "operator": "=",
                "value": preference.FILTER_ROW.DTFINLANC || null
            },
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": preference.FILTER_ROW.CDFILIAL || null
            },
            {
                "name": "TCDFILIAL",
                "operator": "=",
                "value": preference.FILTER_ROW.TCDFILIAL || null
            },
            {
                "name": "TCDTIPOOPER",
                "operator": "=",
                "value": preference.FILTER_ROW.TCDTIPOOPER || 'T'
            },
            {
                "name": "CDOPERADOR",
                "operator": "=",
                "value": preference.FILTER_ROW.CDOPERADOR || null
            },
            {
                "name": "DATAINICIAL",
                "operator": "=",
                "value": preference.FILTER_ROW.DATAINICIAL || null
            },
            {
                "name": "TDTLANC",
                "operator": "=",
                "value": preference.FILTER_ROW.TDTLANC || null
            },
            {
                "name": "DATAFINAL",
                "operator": "=",
                "value": preference.FILTER_ROW.DATAFINAL || null
            },
            {
                "name": "DTINICIAL",
                "operator": "=",
                "value": preference.FILTER_ROW.DTINICIAL || null
            },
            {
                "name": "DTFINAL",
                "operator": "=",
                "value": preference.FILTER_ROW.DTFINAL || null
            },
            {
                "name": "DTINILANC",
                "operator": "=",
                "value": preference.FILTER_ROW.DTINILANC || null
            },
            {
                "name": "TCDCLIENTE",
                "operator": "=",
                "value": preference.FILTER_ROW.TCDCLIENTE || null
            }
        ];

        preference.CUSTOM_FILTER_ROW = Util.clone(preference.FILTER_ROW);
        if (preference.CUSTOM_FILTER_ROW.hasOwnProperty('DATAINICIAL')){
            delete preference.CUSTOM_FILTER_ROW.DATAINICIAL;
        }
        if (preference.CUSTOM_FILTER_ROW.hasOwnProperty('DATAFINAL')){
            delete preference.CUSTOM_FILTER_ROW.DATAFINAL;
        }
        
		widget.dataSourceFilter = filters;
		
		widget.reload().then((success) => {
			ScreenService.closePopup();
			widget.activate();
		});
	};

	/***********************************
	*
	*  Métodos de alteração de exibição
	*
	************************************/

	this.defineDestinatarioRemetente = function(widget) {
		var currentRow = widget.currentRow;
		var fieldDestrem = widget.getField(currentRow.selectName);

		if(currentRow.IDORIGDESTNF == 'C') {

			if (fieldDestrem.name != 'CDCLIENTE') {

				fieldDestrem.name = 'CDCLIENTE';
				fieldDestrem.fields = [];
				fieldDestrem.fields.push(newField(widget, 'NRINSJURCLIE', 'Inscrição', true, false, "field/text-edit.html", {type: "fix", params: {mask: "99.999.999/9999-99"}}));
				fieldDestrem.fields.push(newField(widget, 'NMRAZSOCCLIE', 'Cliente', true, false, "field/text-edit.html"));
				fieldDestrem.fields.push(newField(widget, 'CDCLIENTE', 'cdCliente', false, false, "field/text-edit.html"));
				fieldDestrem.dataSource = metaDataFactory.factoryDataSource({name: 'df#/crud/cliente', rest: true, itemsPerPage: 40});
				fieldDestrem.valueField = "CDCLIENTE";
				fieldDestrem.descriptionField = "NMRAZSOCCLIE";
				fieldDestrem.order = "NRINSJURCLIE";
				fieldDestrem.outData = {
					CDCLIENTE: "CDCLIENTE"
				};

				if (fieldDestrem.selectWidget) {
					delete fieldDestrem.selectWidget;
				}
				currentRow.selectName = "CDCLIENTE";
			}

		}
		else if(currentRow.IDORIGDESTNF == 'F') {

			if (fieldDestrem.name != 'CDFORNECED') {

				fieldDestrem.name = 'CDFORNECED';
				fieldDestrem.fields = [];
				fieldDestrem.fields.push(newField(widget, 'NRINSJURFORN', 'Inscrição', true, false, "field/text-edit.html", {type: "fix", params: {mask: "99.999.999/9999-99"}}));
				fieldDestrem.fields.push(newField(widget, 'NMRAZSOCFORN', 'Fornecedor', true, false, "field/text-edit.html"));
				fieldDestrem.fields.push(newField(widget, 'CDFORNECED', 'cdFornecedor', false, false, "field/text-edit.html"));
				fieldDestrem.dataSource = metaDataFactory.factoryDataSource({name: 'df#/crud/fornecedor', rest: true, itemsPerPage: 40});
				fieldDestrem.valueField = "CDFORNECED";
				fieldDestrem.descriptionField = "NMRAZSOCFORN";
				fieldDestrem.order = "NRINSJURFORN";
				fieldDestrem.outData = {
					CDFORNECED: "CDFORNECED"
				};

				if (fieldDestrem.selectWidget) {
					delete fieldDestrem.selectWidget;
				}
				currentRow.selectName = "CDFORNECED";
			}

		}
		else if(currentRow.IDORIGDESTNF == 'I') {

			if (fieldDestrem.name != 'CDFILIALDEST') {

				fieldDestrem.name = 'CDFILIALDEST';
				fieldDestrem.fields = [];
				fieldDestrem.fields.push(newField(widget, 'CDFILIAL', 'Código', true, false, "field/text-edit.html"));
				fieldDestrem.fields.push(newField(widget, 'NMFILIAL', 'Unidade', true, false, "field/text-edit.html"));
				fieldDestrem.dataSource = metaDataFactory.factoryDataSource({name: 'df#/crud/filial', rest: true, itemsPerPage: 40});
				fieldDestrem.valueField = "CDFILIAL";
				fieldDestrem.descriptionField = "NMFILIAL";
				fieldDestrem.order = "CDFILIAL";
				fieldDestrem.outData = {
					CDFILIAL: "CDFILIALDEST"
				};

				if (fieldDestrem.selectWidget) {
					delete fieldDestrem.selectWidget;
				}
				currentRow.selectName = "CDFILIALDEST";
			}
		}
	};

	this.limpaFieldsDependentes = function(currentRow) {
		currentRow.TCDCLIENTE = '';
		currentRow.CDCLIENTE = '';

		currentRow.TCDFORNECED = '';
		currentRow.CDFORNECED = '';

		currentRow.TCDFILIDESTI = '';
		currentRow.CDFILIDESTI = '';
	};

	var newField = function(widget, name, label, isVisible, readOnly, template, mask) {

		var newField = {
			"name": name,
			"label": label,
			"isVisible": isVisible,
			"showOnList": true,
			"readOnly": readOnly,
			"template": template,
			"mask": mask
		};

		return newField;
	};

	this.readOnlySelectDestRem = function(widget) {
		var destRemCheckbox = widget.getField('TDESTREM');
		widget.currentRow.selectName = widget.currentRow.selectName || "SELECTDESTREM";
		var destRemSelectField = widget.getField(widget.currentRow.selectName);

		if(widget.currentRow.IDORIGDESTNF == 'Todos') {
			destRemCheckbox.readOnly = true;
		}
		else {
			destRemCheckbox.readOnly = false;
		}

		destRemCheckbox.checked  = true;
		destRemCheckbox.setValue('T');

		destRemSelectField.readOnly = true;
		destRemSelectField.setValue("");
		destRemSelectField.validations = {};
	};


	/*************************************************
	*
	*  Métodos de validação dos dados para o filtro
	*
	*************************************************/
	var concatenaFields = function(selectField, currentRow) {
		var lista;
		lista = '_' + currentRow[selectField.name].join('_') + '_';
		return lista;
	};

	var concatenaListas = function(preference) {
		if(preference.FILTER_ROW.IDORIGDESTNF == 'C') {
			if(preference.FILTER_ROW.TDESTREM == 'T') {
				preference.FILTER_ROW.TCDCLIENTE = 'T';
				preference.FILTER_ROW.CDCLIENTE = '';
			}
			else {
				preference.FILTER_ROW.TCDCLIENTE = '';
				preference.FILTER_ROW.LCDCLIENTE = preference.FILTER_ROW.CDCLIENTE.join('_');
			}
		}
		else if(preference.FILTER_ROW.IDORIGDESTNF == 'F') {
			if(preference.FILTER_ROW.TDESTREM == 'T') {
				preference.FILTER_ROW.TCDFORNECED = 'T';
				preference.FILTER_ROW.CDFORNECED = '';
			}
			else {
				preference.FILTER_ROW.TCDFORNECED = '';
				preference.FILTER_ROW.LCDFORNECED = preference.FILTER_ROW.CDFORNECED.join('_');
			}
		}
		else if(preference.FILTER_ROW.IDORIGDESTNF == 'I') {
			if(preference.FILTER_ROW.TDESTREM == 'T') {
				preference.FILTER_ROW.TCDFILIDESTI = 'T';
				preference.FILTER_ROW.CDFILIDESTI = '';
			}
			else {
				preference.FILTER_ROW.TCDFILIDESTI = '';
				preference.FILTER_ROW.LCDFILIDESTI = preference.FILTER_ROW.CDFILIRECE.join('_');
			}
		}
		else {
			preference.FILTER_ROW.TCDCLIENTE 	= 'T';
			preference.FILTER_ROW.TCDFILIDESTI	= 'T';
			preference.FILTER_ROW.TCDFORNECED = 'T';
		}
		
		preference.CUSTOM_FILTER_ROW = Util.clone(preference.FILTER_ROW);
        if (preference.CUSTOM_FILTER_ROW.hasOwnProperty('TDESTREM')){
            delete preference.CUSTOM_FILTER_ROW.TDESTREM;
        }
	};

	// Verifica se ambas as datas de lançamento estão preenchidas ou vazias,
	// uma vez que elas não são requeridas, mas as duas devem ser preenchidas,
	// caso uma seja inserida
	var dataLancamentoIsValid = function(currentRow) {
		
		if(currentRow.DTLANCAMENTO) {
			currentRow.DTINILANC = currentRow.DTLANCAMENTO.start;
			currentRow.DTFINLANC = currentRow.DTLANCAMENTO.end;
			currentRow.TDTLANC	 = '';
		}
		else {
			currentRow.DTINILANC = '12/12/1899';
			currentRow.DTFINLANC = '12/12/1899';
			currentRow.TDTLANC	 = 'T';
		}
		return true;
	};

	this.verificaCampo = function(args,nomeCampoSelect,nomeCampoAlterar){
		var widget = args.owner.owner.widget;
		var campo =  widget.getField(nomeCampoAlterar);
		if(widget.getField(nomeCampoSelect).value()=='T'){
			campo.value("");
			campo.readOnly=true;
			delete(campo.validations.required);

		}else{
			campo.value("");
			campo.readOnly=false;
			campo.validations.required = true;
		}
	};

	this.campoDestinarioRemetente = function(args, preference) {
		var widget = args.owner.owner.widget;
		var currentRow = widget.currentRow;
		
		switch(widget.currentRow.IDORIGDESTNF) {
            case 'C':
            	widget.getField('TDESTREM').readOnly=false;
            	widget.getField('TDESTREM').value("");
            	currentRow.TCDFILIDESTI = null;
            	currentRow.TCDFORNECED = null;
            	currentRow.TCDCLIENTE = 'T';
            	currentRow.LCDFILIDESTI = '';
            	currentRow.LCDFORNECED = '';
            	currentRow.LCDCLIENTE = '';
            	//widget.getField('SELECTDESTREM').value("");
                break;

            case 'F':
            	widget.getField('TDESTREM').readOnly=false;
            	widget.getField('TDESTREM').value("");
            	currentRow.TCDFILIDESTI = null;
            	currentRow.TCDFORNECED = 'T';
            	currentRow.TCDCLIENTE = null;
            	currentRow.LCDFILIDESTI = '';
            	currentRow.LCDFORNECED = '';
            	currentRow.LCDCLIENTE = '';
	           	//widget.getField('SELECTDESTREM').value("");
                break;

            case 'I':
				widget.getField('TDESTREM').readOnly=false;
	           	widget.getField('TDESTREM').value("");
            	currentRow.TCDFILIDESTI = 'T';
            	currentRow.TCDFORNECED = null;
            	currentRow.TCDCLIENTE = null;
            	currentRow.LCDFILIDESTI = '';
            	currentRow.LCDFORNECED = '';
            	currentRow.LCDCLIENTE = '';
	           	//widget.getField('SELECTDESTREM').value("");
                break;

            default:
            	widget.getField('TDESTREM').readOnly=true;
            	widget.getField('TDESTREM').value("");
            	currentRow.TCDFILIDESTI = 'T';
            	currentRow.TCDFORNECED = 'T';
            	currentRow.TCDCLIENTE = 'T';
            	//widget.getField('SELECTDESTREM').value("");
                break;
        }
	};

	this.habilitaOrigDestNF = function(args) {
        var widget = args.owner.owner.widget;
        var TDESTREM = widget.getField('TDESTREM');
        if(TDESTREM.value() !== " "){
         	TDESTREM.setValue("T");
         	TDESTREM.reload();
        }
        switch(widget.currentRow.IDORIGDESTNF) {
            case 'C':
                widget.getField('CDFORNECED').isVisible = false;
                widget.getField('CDFILIRECE').isVisible = false;
                widget.getField('CDCLIENTE').isVisible  = true;

                widget.getField('CDFILIRECE').value('');
	            widget.getField('CDFORNECED').value('');
                break;
            case 'F':
                widget.getField('CDCLIENTE').isVisible  = false;
                widget.getField('CDFILIRECE').isVisible = false;
                widget.getField('CDFORNECED').isVisible = true;

                widget.getField('CDFILIRECE').value('');
	            widget.getField('CDCLIENTE').value('');
                break;
            case 'I':
                widget.getField('CDCLIENTE').isVisible  = false;
                widget.getField('CDFORNECED').isVisible = false;
                widget.getField('CDFILIRECE').isVisible = true;

                widget.getField('CDFORNECED').value('');
	            widget.getField('CDCLIENTE').value('');
                break;
            default:
                widget.getField('CDCLIENTE').isVisible  = false;
                widget.getField('CDFORNECED').isVisible = false;
                widget.getField('CDFILIRECE').isVisible = false;

				widget.getField('CDFILIRECE').value('');
                widget.getField('CDFORNECED').value('');
	            widget.getField('CDCLIENTE').value('');
                break;
        }
    };
    this.verificaCampoAtivado = function(args, preference){
    	var widget = args.owner.owner.widget;
    	var valorCampo = widget.currentRow.IDORIGDESTNF;
    	
    	if(widget.currentRow.TDESTREM !=='T'){
    		widget.getField('TDESTREM').setValue(" ");
    		widget.getField('TDESTREM').reload();
	    	switch(valorCampo) {
	            case 'C':
		            widget.getField('CDFILIRECE').readOnly  = true;
	                widget.getField('CDFORNECED').readOnly = true;
	                widget.getField('CDCLIENTE').readOnly  = false;
	                widget.getField('CDFILIRECE').value('');
	                widget.getField('CDFORNECED').value('');
	               	widget.getField('CDCLIENTE').validations.required = true;
	               	delete(widget.getField('CDFILIRECE').validations.required);
	                delete(widget.getField('CDFORNECED').validations.required);
	                break;
	            case 'F':
	                widget.getField('CDFILIRECE').readOnly  = true;
	                widget.getField('CDCLIENTE').readOnly = true;
	                widget.getField('CDFORNECED').readOnly  = false;
	                widget.getField('CDFILIRECE').value('');
	                widget.getField('CDCLIENTE').value('');
	               	widget.getField('CDFORNECED').validations.required = true;
	               	delete(widget.getField('CDFILIRECE').validations.required);
	                delete(widget.getField('CDCLIENTE').validations.required);
	                break;

	            case 'I':
	                widget.getField('CDCLIENTE').readOnly  = true;
	                widget.getField('CDFORNECED').readOnly = true;
	                widget.getField('CDFILIRECE').readOnly  = false;
	                widget.getField('CDCLIENTE').value('');
	                widget.getField('CDFORNECED').value('');
	               	widget.getField('CDFILIRECE').validations.required = true;
	               	delete(widget.getField('CDCLIENTE').validations.required);
	                delete(widget.getField('CDFORNECED').validations.required);
	                break;

	            default:
	                widget.getField('CDCLIENTE').readOnly  = true;
	                widget.getField('CDFORNECED').readOnly = true;
	                widget.getField('CDFILIRECE').readOnly  = true;
	                widget.getField('CDCLIENTE').value('');
	                widget.getField('CDFORNECED').value('');
	                widget.getField('CDFILIRECE').value('');
	               	delete(widget.getField('CDFILIRECE').validations.required);
	               	delete(widget.getField('CDCLIENTE').validations.required);
	                delete(widget.getField('CDFORNECED').validations.required);
	                break;
	        }
	        widget.currentRow = Util.clone(widget.currentRow);
	        if (widget.currentRow.hasOwnProperty('TDESTREM')){
	            delete widget.currentRow.TDESTREM;
	        }
	        widget.getField('TDESTREM').setValue(" "); 
			widget.getField('TDESTREM').reload();
		        
	    }else{
	    	widget.getField('CDCLIENTE').readOnly  = true;
	        widget.getField('CDFORNECED').readOnly = true;
	        widget.getField('CDFILIRECE').readOnly  = true;
	        widget.getField('CDCLIENTE').value('');
	        widget.getField('CDFORNECED').value('');
	        widget.getField('CDFILIRECE').value('');
	        delete(widget.getField('CDFILIRECE').validations.required);
	        delete(widget.getField('CDCLIENTE').validations.required);
	        delete(widget.getField('CDFORNECED').validations.required);
	        widget.getField('TDESTREM').setValue("T"); 
	        widget.getField('TDESTREM').reload();
	        widget.currentRow = Util.clone(widget.currentRow);
    		if (widget.currentRow.hasOwnProperty('TDESTREM')){
            	delete widget.currentRow.TDESTREM;
        }
        widget.getField('TDESTREM').setValue("T"); 
	    widget.getField('TDESTREM').reload();
	        
	    }
	 
	    

    };
}

Configuration(function(ContextRegister) {
	ContextRegister.register('Dfe21100_RomaneioNotasFiscaisEntrada_Controller', Dfe21100_RomaneioNotasFiscaisEntrada_Controller);
});
